<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:pf="http://primefaces.org/ui">

	 <h:head>
        <title>Ajout une commande</title>
    </h:head>
		<f:metadata>
		<f:viewAction action="#{commmandeMB.initLst()}"/>
		<f:viewAction action="#{commmandeMB.createNumeroCommande()}"/>
		</f:metadata>
    <h:body>
        <f:view>
        
        	<h3>Ajouter une commande</h3>
        	
            <h:form>
            
            <h:panelGrid columns="2" cellpadding="5">

				<pf:outputLabel for="numero" value="Numero"/>
				<pf:inputText id="numero" value="#{commmandeMB.numero}"/>
				
				<pf:outputLabel for="dateCmd" value="De de commande"/>
				<pf:inputText id="dateCmd" value="#{commmandeMB.dateCmd}">
					<f:convertDateTime pattern="dd-MM-yyyy"/>
				</pf:inputText>
                
                <pf:outputLabel for="remise" value="Remise"/>
				<pf:inputText id="remise" value="#{commmandeMB.remise}"/>
				

				
				
                <pf:commandButton action="#{commmandeMB.ajouterCmd}" value="Valider"/>
                
                
                </h:panelGrid>
                
            </h:form>
            
            
            <h1>Liste des commandes</h1>
    	<h:form>
    		<pf:dataTable value="#{commmandeMB.lstCommandes}" var="com" >
    			<pf:column>
    				<!-- column header -->
    				<f:facet name="header">NumCom</f:facet>
    				<!-- row record -->
    				<h:outputText value="#{com.numero}" />
    			</pf:column>
    			
    			<pf:column>
    				<!-- column header -->
    				<f:facet name="header">Remise</f:facet>
    				<!-- row record -->
    				<h:outputText value="#{com.remise}" />
    			</pf:column>
    			
    			<pf:column>
    				<f:facet name="header">Date</f:facet>
    				<h:outputText value="#{com.dateCmd}" >
    				    <f:convertDateTime pattern="dd-MM-yyyy" />
    				</h:outputText>
    			</pf:column>
    			
    			
    			<pf:column>
    				<f:facet name="header">Adherent</f:facet>
    				<h:outputText value="#{com.user.nom}" />
    			</pf:column>
    			
    			 <pf:column style="width:8%">  
				 	<pf:commandButton id="modifier"   icon="ui-icon-disk" value="" title="Modifier"> 
				 	</pf:commandButton>  
				 </pf:column>  
				 
				 <pf:column style="width:8%"> 
				 	<pf:commandButton id="supprimer"  icon="ui-icon-closethick" value="" title="Supprimer">  
				 	</pf:commandButton>  
				 </pf:column>  
    			
    		</pf:dataTable>
        </h:form>
        </f:view>
    </h:body>
        
        
    
</html>